#For git snapshots, set to 0 to use release instead:
%global usesnapshot 1
%if 0%{?usesnapshot}
    %global commitdate0 20191018
    %global commit0 fe5460c6dcd6b1e6fc12ec5de5f1f86b399da887
    %global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%endif

Name:           pugixml
Version:        1.11
Release:        0.1%{?usesnapshot:.%{commitdate0}git%{shortcommit0}}%{?dist}
Summary:        A light-weight C++ XML processing library
License:        MIT
URL:            https://pugixml.org

%if 0%{?usesnapshot}
Source0:        https://github.com/zeux/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
%else
Source0:        https://github.com/zeux/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
%endif

BuildRequires:  cmake gcc-c++

%description
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for package %{name}

%package doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}


%prep
%if 0%{?usesnapshot}
%setup -q -n %{name}-%{commit0}
%else
%setup -q -n %{name}-%{version}
%endif

%build
rm -rf build && mkdir build && pushd build
export CXXFLAGS='%{optflags} -std=c++11'
%cmake ../
make %{?_smp_mflags}


%install
pushd build
%make_install
popd


%ldconfig_scriptlets


%files
%doc readme.txt
%license LICENSE.md
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/cmake/pugixml/
%{_libdir}/pkgconfig/pugixml.pc
%{_includedir}/*.hpp

%files doc
%doc docs/*


%changelog
* Mon Oct 21 2019 Wolfgang Stöggl <c72578@yahoo.de> - 1.11-0.1.20191018gitfe5460c
- Git snapshot for rpm build tests of pugixml

* Sun Sep 15 2019 Richard Shaw <hobbes1069@gmail.com> - 1.10-1
- Update to 1.10.

* Thu Sep 12 2019 Wolfgang Stöggl <c72578@yahoo.de> - 1.10-0.1.20190912git3c59df5
- Git snapshot for rpm build tests of pugixml.
- Prepare for upcoming 1.10 release.

* Tue Apr 02 2019 Wolfgang Stöggl <c72578@yahoo.de> - 1.9.1-0.5.20190317git7247a82
- Git snapshot for rpm build tests of pugixml

* Thu Mar 14 2019 Wolfgang Stöggl <c72578@yahoo.de> - 1.9.1-0.4.20190314git29f3177
- Git snapshot for rpm build tests of pugixml
- Remove install of contrib folder files (e.g. foreach.hpp),
  which has been removed upstream.
- Remove usr/share/pugixml from files devel

* Tue Dec 11 2018 Wolfgang Stöggl <c72578@yahoo.de> - 1.9.1-0.3.20181210gitb3db08f
- Git snapshot for rpm build tests of pugixml

* Thu Dec 06 2018 Wolfgang Stöggl <c72578@yahoo.de> - 1.9.1-0.2.20181127git7664bbf
- Git snapshot for rpm build tests of pugixml

* Mon Nov 12 2018 Wolfgang Stöggl <c72578@yahoo.de> - 1.9.1-0.1.20181024gitd9fadc7
- Git snapshot for rpm build tests of pugixml

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 06 2018 Richard Shaw <hobbes1069@gmail.com> - 1.9-1
- Update to 1.9.

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Nov 24 2016 Richard Shaw <hobbes1069@gmail.com> - 1.8-1
- Update to latest upstream release.

* Tue Sep 27 2016 Richard Shaw <hobbes1069@gmail.com> - 1.7-3
- Add build flags for c++11 for mkvtoolnix.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Richard Shaw <hobbes1069@gmail.com> - 1.7-1
- Update to latest upstream release.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Apr 11 2015 Richard Shaw <hobbes1069@gmail.com> - 1.6-1
- Update to latest upstream release.

* Tue Feb  3 2015 Richard Shaw <hobbes1069@gmail.com> - 1.5-1
- Update to latest upstream release.

* Wed Sep 03 2014 Orion Poplawski <orion@cora.nwra.com> - 1.4-1
- Update to 1.4
- Split documentation out into -doc sub-package
- Add cmake export information

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jan 05 2012 Richard Shaw <hobbes1069@gmail.com> - 1.0-2
- Rebuild for GCC 4.7.0.

* Fri Jul 08 2011 Richard Shaw <hobbes1069@gmail.com> - 1.0-1
- Initial Release
